<?php

namespace Concrete\Package\SamlAuthentication;
use Package;

class Controller extends Package {

    protected $pkgHandle = 'saml_authentication';
    protected $appversionRequired = '2.1';
    protected $pkgVersion = '0.1';

    public function getPackageDescription() {
       return t('Provides a SAML Authentication Type for concrete5');
    }
    public function getPackageName() {
       return t('SAML Authentication');
    }
    
    public function install() {
       $pkg = parent::install();
       \Concrete\Core\Authentication\AuthenticationType::add('saml', 'Saml', 0, $pkg);
    }
}
